# XMLDOMDocument Class Reference

Inherits XMLDOMNode.

List of all members.

## Detailed Description

The XMLDOMDocument interface represents an entire XML document.

Conceptually, it is the root of the document tree, and provides the primary access to the document's data.

## Public Member Functions

virtual void | load (const File &fileName)=0
virtual XMLDOMElementPtr | getDocumentElement ()=0
virtual XMLDOMElementPtr | getElementById (const LogString &tagName, const LogString &elementId)=0

## Member Function Documentation

virtual XMLDOMElementPtr getDocumentElement | ( |  | ) | `[pure virtual]`

virtual XMLDOMElementPtr getElementById | ( | const LogString & | tagName,
|  | const LogString & | elementId
| ) | `[pure virtual]`

virtual void load | ( | const File & | fileName | ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- xml.h